C
      PROGRAM MCSQ
C
      IMPLICIT REAL*8(A-H,O-Z)
      COMPLEX*16 Z,S
C
      WRITE(*,1210)
      READ(*,*)X
      WRITE(*,1220)
      READ(*,*)Y
      Z=DCMPLX(X,Y)
C
 1210 FORMAT(/' Enter real : ',\)
 1220 FORMAT( ' Enter imag : ',\)
c
      S=CDSQRT(Z)
C
      WRITE(*,2000)Z,S
 2000 FORMAT(/' Z,S=',6D11.3)
C
      STOP
      END
